<?php
require_once('system/func.php');
$title = 'Лесной Поход';
require_once('system/header.php');
auth(); // Закроем от гостей
$farm = mysql_query('SELECT * FROM `farm` WHERE `id_user` = "' . $myID . '"');
$farm = mysql_fetch_array($farm);
if (!$farm) {
    mysql_query('INSERT INTO `farm` (`id_user`) VALUES ("' . $myID . '")');
    header('Location: /farm.php');
    exit();
}
if ($user['level'] >= 3) {
    if ($farm['h'] == 0 && $farm['time'] == 0) {
        if (isset($_GET['farm'])) {
            $h = num($_POST['h']);
            if ($h && $user['level'] >= $h * 3) {
                $hs = ($h * (60 * 60));
                mysql_query('UPDATE `farm` SET `h` = "' . $h . '", `time` = "' . (time() + $hs) . '" WHERE `id_user` = "' . $myID . '"');
                header('location: /farm.php');
                exit();
            }
        }
        echo "<div class='header'>";
        echo "В походе ты получишь " . ico('icons', 'exp.png') . " опыт и " . ico('icons', 'almaz.png') . " алмазы, чем дольше поход тем больше награда...<hr>";
        echo "<form action='?farm' method='post'><select name='h'>";
        for ($h = 1; $h < 11; $h ++) {
            if ($user['level'] >= $h * 3) {
                echo "<option value='" . $h . "' selected>$h час" . ($h == 1 ? '' : ($h >= 5 ? 'ов' : 'а')) . "</option>";
            }
        }
        echo "</select><br>";
        echo "<input class='btn_grey' type='submit' value='Отправится в поход'>";
        echo "</form>";
        echo "</div>";
    } else {
        if ($farm['time'] > time()) {
            if (isset($_GET['end'])) {
                mysql_query('UPDATE `farm` SET `h` = "0", `time` = "0" WHERE `id_user` = "' . $myID . '"');
                header('location: /farm.php');
                exit();
            }
            echo "<div class='header'>Вы отправились в поход<br>Осталось: " . tl($farm['time'] - time()) . "<hr><a href='?end=true' class='btn_grey' data-ajax>Отменить поход</a></div>";
        } else {
            if (mt_rand(0, 100) <= $user['level']) {


                $_almaz = true;
            }
            $_almaz = true;
            mysql_query('UPDATE `farm` SET `h` = "0", `time` = "0" WHERE `id_user` = "' . $myID . '"');
            $almaz = $farm['h'] * 2;
            $exp = $farm['h'] * 89;


            if ($_almaz == true) {
                mysql_query('UPDATE `users` SET `exp` = `exp` + ' . ($exp) . ', `almaz` = `almaz` + ' . $almaz . ' WHERE `id` = "' . $myID . '"');
                $_SESSION['msg'] = 'Вы вернулись из похода!<br>Награда: ' . ico('icons', 'exp.png') . ' ' . ($exp) . ' опыта и ' . ico('icons', 'almaz.png') . ' ' . $almaz . ' алмазов';


                $quest = mysql_fetch_assoc(mysql_query("SELECT * FROM `quest` WHERE `id` = '491'"));
                $q = mysql_fetch_assoc(mysql_query("SELECT * FROM `quest_user` WHERE `id_quest` = '$quest[id]' AND `id_user` = '$myID'"));
                if ($q['last'] < time()) {
                    mysql_query("update `quest_user` set `koll` = `koll`+'1' where (`id` = '" . $q['id'] . "')");
                }


            } else {
                mysql_query('UPDATE `users` SET `exp` = `exp` + ' . ($exp) . ' WHERE `id` = "' . $myID . '"');
                $_SESSION['msg'] = 'Вы вернулись из похода!<br>Награда: ' . ico('icons', 'exp.png') . ' ' . ($exp) . ' опыта';

                $quest = mysql_fetch_assoc(mysql_query("SELECT * FROM `quest` WHERE `id` = '491'"));
                $q = mysql_fetch_assoc(mysql_query("SELECT * FROM `quest_user` WHERE `id_quest` = '$quest[id]' AND `id_user` = '$myID'"));
                if ($q['last'] < time()) {
                    mysql_query("update `quest_user` set `koll` = `koll`+'1' where (`id` = '" . $q['id'] . "')");
                }
            }
            header('Location: /farm.php');
            exit();
        }
    }
} else {
    echo "<div class='block center'>";
    echo "<a>Поход доступен только с " . ico('icons', 'level.png') . " 3 уровня<hr>Ваш уровень " . ico('icons', 'level.png') . " $user[level]";
    echo "</div>";
}
require_once('system/footer.php');
?>
